Vai al contenuto principale
GET
/
v2
/
enterprise
/
api-keys
Endpoint GET per ottenere le API key Enterprise
curl --request GET \
  --url https://api.devin.ai/v2/enterprise/api-keys \
  --header 'Authorization: Bearer <token>'
{
  "has_more": true,
  "items": [
    {
      "created_at": "<string>",
      "id": "<string>",
      "is_service_key": true,
      "org_id": "<string>",
      "org_name": "<string>",
      "user_email": "<string>",
      "user_id": "<string>",
      "api_key_value": "<string>"
    }
  ],
  "limit": 123,
  "skip": 123,
  "total": 123,
  "next_cursor": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

Richiede l’API key personale di un amministratore Enterprise. Restituisce un elenco paginato di API key per le organizzazioni all’interno dell’Enterprise.

Autorizzazioni

Authorization
string
header
obbligatorio

API key personale (apk_user_*) riservata agli amministratori Enterprise

Parametri della query

page
integer
predefinito:1
Intervallo richiesto: x >= 1
per_page
integer
predefinito:25
Intervallo richiesto: 1 <= x <= 100
org_id
string | null

Risposta

Risposta con esito positivo

has_more
boolean
obbligatorio
items
ApiKeyResponse · object[]
obbligatorio
limit
integer
obbligatorio
skip
integer
obbligatorio
total
integer
obbligatorio
next_cursor
integer | null